HtmlTempTagDesc (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class HtmlTempTagDesc

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.HtmlTagDesc
          edu.harvard.hul.ois.jhove.module.html.HtmlTempTagDesc

    public class HtmlTempTagDesc

extends HtmlTagDesc

Subclass of HtmlTagDesc for temporary tags. This doesn't add any functionality to the superclass, but serves as a marker class.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlTagDesc
`_sequence, SEQ0_1, SEQ0_MANY, SEQ1, SEQ1_MANY`

Constructor Summary
`HtmlTempTagDesc(java.lang.String name)` Constructor.

Method Summary
`protected boolean` | `allowsTag(java.lang.String tag, int index, HtmlDocDesc doc)` Reports whether this element allows a given tag name in its content, at the specified index.
`boolean` | `isTemp()` Reports whether this is a temporary tag descriptor.

Methods inherited from class edu.harvard.hul.ois.jhove.module.html.HtmlTagDesc
`addImplicitContainer, allowsPCData, allowsTag, canAdvanceFrom, canGetMoreAt, excludesTag, implicitContainers, isCloseTagRequired, isContentEmpty, matches, missingRequiredAttributes, namedAttDesc, setAttributes, setExcludedContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTempTagDesc

    public HtmlTempTagDesc(java.lang.String name)

  Constructor.

  Parameters:
    `name` - Tag name

Method Detail

### isTemp

    public boolean isTemp()

  Reports whether this is a temporary tag descriptor. Returns `true`.

  Overrides:
    `isTemp` in class `HtmlTagDesc`

### allowsTag

    protected boolean allowsTag(java.lang.String tag,
                                int index,
                                HtmlDocDesc doc)

  Reports whether this element allows a given tag name in its content, at the specified index. Since we know nothing about this element, no meaningful answer is possible. Return `true` just to minimize the number of extra error messages.

  Overrides:
    `allowsTag` in class `HtmlTagDesc`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD